

<script src="https://ajax.googleapis.com/ajax/libs/jquery/2.1.1/jquery.min.js"></script>
<div class="region region-content">
    <section id="block-system-main" class="block block-system clearfix">

      
  
  <title> ادخل معلوماتك لانشاء بطاقة تهنئة العيد</title>

  
  <form id="form1" style="text-align: center" dir="rtl">
    <h1> ادخل معلوماتك لانشاء بطاقة تهنئة العيد </h1>

    <img style="display: none;" class="ramadan-image" src="modules/moc/image/image.png">

    <input type="text" id="inp1" placeholder="السطر الاول">
    <input type="text" id="inp2" placeholder="السطر الثاني">
    <br>

    <button type="button" class="showCard"> اظهار البطاقة</button>


    <a id="download" download="image.png">
      <button type="button" onclick="download();">تحميل البطاقة</button>
    </a>


  </form>
  <center>
    <canvas id="canvas" class='img-fluid' width="700" height="699">
    </canvas>
    <p></p>
    <p>
      <button type="button" onclick="clearForm();">بطاقة جديد</button>
    </p>


    </center>


  <script type="text/javascript">
  $(document).ready(function() {
    var canvas = document.getElementById('canvas'),
      ctx = canvas.getContext('2d');
    canvas.width = $('.ramadan-image').width();
    canvas.height = $('.ramadan-image').height();
    ctx.drawImage($('.ramadan-image').get(0), 0, 0);

    function drawText() {
      //redraw image
      ctx.clearRect(0, 0, 700, 700);
      ctx.drawImage($('.ramadan-image').get(0), 0, 0);
      //refill text
      ctx.textAlign = "right";
      
      ctx.font = "20px  'bokra'";
      ctx.fillStyle = "#64bb46";
      ctx.fillText(document.getElementById('inp1').value, 250, 590);
      
      ctx.font = "bold 20px  'bokra'";
      ctx.fillStyle = "#17479e";
      ctx.fillText(document.getElementById('inp2').value, 250, 640);


    }

    


    

    $('.showCard').click(function() {
      drawText();
    });
  });
  function clearForm() {
    location.reload();

    }
  function download() {
      var download = document.getElementById("download");
      var image = document.getElementById("canvas").toDataURL("image/png")
        .replace("image/png", "image/octet-stream");
      download.setAttribute("href", image);

    }
    
  </script>

</section>
  </div>